curl --request POST \
--url https://api.hubapi.com/marketing/v3/campaigns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"properties": {}
}
'import requests
url = "https://api.hubapi.com/marketing/v3/campaigns"
payload = { "properties": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({properties: {}})
};
fetch('https://api.hubapi.com/marketing/v3/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"businessUnits": [
{
"id": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Create a campaign
Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Corps
Ensemble de paires clé-valeur représentant les propriétés de la campagne. Chaque clé est un nom de propriété, et la valeur correspondante est la valeur de la propriété.
Show child attributes
Show child attributes
Réponse
successful operation
Un tableau d'unités commerciales associées à la campagne, chacune représentée par un objet PublicBusinessUnit.
Show child attributes
Show child attributes
Date et heure de création de la campagne, au format chaîne date-heure.
Identifiant unique de la campagne.
Ensemble de paires clé-valeur représentant les propriétés supplémentaires de la campagne.
Show child attributes
Show child attributes
Date et heure de la dernière mise à jour de la campagne, au format chaîne date-heure.